Index: uspace/lib/graph/graph.h
===================================================================
--- uspace/lib/graph/graph.h	(revision 3be9d10120f7923a0b3d52282b8de0b670566c71)
+++ uspace/lib/graph/graph.h	(revision 7c3fb9bd77e4d2f6c10517a052e567f176fa91ee)
@@ -53,5 +53,6 @@
 	/**
 	 * Device driver shall allocate any necessary internal structures
-	 * specific for a claimed visualizer. */
+	 * specific for a claimed visualizer.
+	 */
 	errno_t (*claim)(struct visualizer *vs);
 
@@ -60,5 +61,6 @@
 	 * specific for a claimed visualizer. Driver shall also check whether
 	 * the mode is set and if so it shall change its internal state
-	 * accordingly (e.g. deallocate frame buffers). */
+	 * accordingly (e.g. deallocate frame buffers).
+	 */
 	errno_t (*yield)(struct visualizer *vs);
 
@@ -71,5 +73,6 @@
 	 * reason). If it is convenient for the device driver (e.g. for better
 	 * optimization), the pointer to the handle_damage operation can be
-	 * changed at this point. */
+	 * changed at this point.
+	 */
 	errno_t (*change_mode)(struct visualizer *vs, vslmode_t new_mode);
 
@@ -81,5 +84,6 @@
 	 * the shared backbuffer (i.e. when reading from backbuffer, the offsets
 	 * shall be added to the coordinates and if necessary the result shall be
-	 * wrapped around the edge of the backbuffer). */
+	 * wrapped around the edge of the backbuffer).
+	 */
 	errno_t (*handle_damage)(struct visualizer *vs,
 	    sysarg_t x, sysarg_t y, sysarg_t width, sysarg_t height,
@@ -89,10 +93,12 @@
 	 * Upper layers of the graphic stack might report inactivity. In such
 	 * case, device driver might enable power saving mode on the device
-	 * corresponding to the visualizer. */
+	 * corresponding to the visualizer.
+	 */
 	errno_t (*suspend)(struct visualizer *vs);
 
 	/**
 	 * When upper layers detect activity on suspended visualizer, device
-	 * driver shall disable power saving mode on the corresponding device. */
+	 * driver shall disable power saving mode on the corresponding device.
+	 */
 	errno_t (*wakeup)(struct visualizer *vs);
 } visualizer_ops_t;
@@ -105,5 +111,6 @@
 	/**
 	 * Link to the list of all visualizers belonging to the graphic device.
-	 * Field is fully managed by libgraph. */
+	 * Field is fully managed by libgraph.
+	 */
 	link_t link;
 
@@ -112,5 +119,6 @@
 	 * when equals 0, visualizer is not claimed. At the time, visualizer
 	 * can be claimed only by a single client.
-	 * Field is fully managed by libgraph. */
+	 * Field is fully managed by libgraph.
+	 */
 	atomic_t ref_cnt;
 
@@ -121,5 +129,6 @@
 	 * If the visualizer is registered through libgraph functions, then the
 	 * field is fully managed by libgraph. Otherwise, it is a driver
-	 * responsibility to set and update this field. */
+	 * responsibility to set and update this field.
+	 */
 	sysarg_t reg_svc_handle;
 
@@ -130,5 +139,6 @@
 	 * in the compositor).
 	 * Field is fully managed by libgraph. It is assigned when the visualizer
-	 * gets claimed and is valid until it is yielded. */
+	 * gets claimed and is valid until it is yielded.
+	 */
 	sysarg_t client_side_handle;
 
@@ -141,5 +151,6 @@
 	 * degrees, virtual monitor is resized by the user).
 	 * Field is fully managed by libgraph. Device driver can use it indirectly
-	 * through notification functions. */
+	 * through notification functions.
+	 */
 	async_sess_t *notif_sess;
 
@@ -150,5 +161,6 @@
 	 * dimensions when virtual monitor is resized).
 	 * Both device driver and libgraph must lock on this mutex when accessing
-	 * modes list or default mode index. */
+	 * modes list or default mode index.
+	 */
 	fibril_mutex_t mode_mtx;
 
@@ -162,5 +174,6 @@
 	 * and final output device (e.g. monitor).
 	 * Field is fully managed by device driver, libgraph reads it with locked
-	 * mutex. */
+	 * mutex.
+	 */
 	list_t modes;
 
@@ -173,5 +186,6 @@
 	 * mode list.
 	 * Field is fully managed by device driver, libgraph reads it with locked
-	 * mutex. */
+	 * mutex.
+	 */
 	sysarg_t def_mode_idx;
 
@@ -181,5 +195,6 @@
 	 * driver can also read it to properly interpret the cell type and its
 	 * internal structures when handling the damage.
-	 * Field is fully managed by libgraph, can be read by device driver. */
+	 * Field is fully managed by libgraph, can be read by device driver.
+	 */
 	vslmode_t cur_mode;
 
@@ -187,5 +202,6 @@
 	 * Determines whether the visualizer is currently set to some mode or not,
 	 * that is whether cur_mode field contains up-to-date data.
-	 * Field is fully managed by libgraph, can be read by device driver. */
+	 * Field is fully managed by libgraph, can be read by device driver.
+	 */
 	bool mode_set;
 
@@ -193,5 +209,6 @@
 	 * Device driver function pointers.
 	 * Field is fully managed by device driver, libgraph invokes driver's
-	 * functions through it. */
+	 * functions through it.
+	 */
 	visualizer_ops_t ops;
 
@@ -200,5 +217,6 @@
 	 * Device driver reads the cells when handling damage. Cells shall be
 	 * interpreted according to the currently set mode.
-	 * Field is fully managed by libgraph, can be read by device driver. */
+	 * Field is fully managed by libgraph, can be read by device driver.
+	 */
 	pixelmap_t cells;
 
@@ -207,5 +225,6 @@
 	 * contain pointers to frontbuffers or information representing the
 	 * final output device (e.g. hardware port for physical monitor).
-	 * Field is fully managed by device driver. */
+	 * Field is fully managed by device driver.
+	 */
 	void *dev_ctx;
 } visualizer_t;
@@ -265,5 +284,6 @@
  * Fill in the basic visualizer structure. The device driver shall take the
  * created torso and to complete it by adding its specific structures
- * (device context, modes). */
+ * (device context, modes).
+ */
 extern void graph_init_visualizer(visualizer_t *);
 
@@ -281,5 +301,6 @@
 
 /**
- * Allocate the visualizer so it can be initialized. */
+ * Allocate the visualizer so it can be initialized.
+ */
 extern visualizer_t *graph_alloc_visualizer(void);
 
@@ -289,10 +310,12 @@
  * is considered ready to handle client connection. Since visualizer
  * list is guarded by the mutex, visualizers might be added even after the
- * initialialization of the device driver. */
+ * initialialization of the device driver.
+ */
 extern errno_t graph_register_visualizer(visualizer_t *);
 
 /**
  * Retrieve the visualizer from the visualizer list according to its
- * service ID. */
+ * service ID.
+ */
 extern visualizer_t *graph_get_visualizer(sysarg_t);
 
@@ -300,5 +323,6 @@
  * Unregister the visualizer from the location service and remove it
  * from the driver visualizer list. Function shall be called by device driver
- * before deallocating the resources for the visualizer. */
+ * before deallocating the resources for the visualizer.
+ */
 extern errno_t graph_unregister_visualizer(visualizer_t *);
 
@@ -306,5 +330,6 @@
  * Destroy the rest of the visualizer. Device driver shall call this function
  * only after it has unregistered the visualizer and deallocated all the
- * resources for which the driver is responsible. */
+ * resources for which the driver is responsible.
+ */
 extern void graph_destroy_visualizer(visualizer_t *);
 
@@ -320,5 +345,6 @@
  * Device driver can call this function to notify the client through the
  * callback connection that the visualizer with a specified service ID should
- * be switched to the mode with the given index. */
+ * be switched to the mode with the given index.
+ */
 extern errno_t graph_notify_mode_change(async_sess_t *, sysarg_t, sysarg_t);
 
@@ -326,5 +352,6 @@
  * Device driver can call this function to notify the client through the
  * callback connection that the visualizer with a specified service ID has
- * lost its output device (e.g. virtual monitor was closed by a user). */
+ * lost its output device (e.g. virtual monitor was closed by a user).
+ */
 extern errno_t graph_notify_disconnect(async_sess_t *, sysarg_t);
 
